#############################################################################
#############################################################################
#
# latexMode.tcl (called from AlphaBits.tcl)
#
#############################################################################
#############################################################################

set latexVersion "2e"
enableMenuItem install "LaTeX2e" off
enableMenuItem install "LaTeX 2.09" on

if {[lsearch $modes TeX] < 0} {lappend modes TeX}
set dummyProc(TeX)				dummyTeX
set modeMenus(TeX)		 		{ latexMenu }

# Remember, Alpha's mode suffix mechanism is case-sensitive...
lappend modeSuffixes	{*.sty} { set winMode TeX }
lappend modeSuffixes	{*.tex} { set winMode TeX }
lappend modeSuffixes	{*.ltx} { set winMode TeX }
lappend modeSuffixes	{*.dtx} { set winMode TeX }
lappend modeSuffixes	{*.ins} { set winMode TeX }
lappend modeSuffixes	{*.cls} { set winMode TeX }
lappend modeSuffixes	{*.clo} { set winMode TeX }

# LaTeX auxiliary files:
lappend modeSuffixes	{*.aux} { set winMode TeX }
lappend modeSuffixes	{*.bbl} { set winMode TeX }
lappend modeSuffixes	{*.glo} { set winMode TeX }
lappend modeSuffixes	{*.idx} { set winMode TeX }
lappend modeSuffixes	{*.ind} { set winMode TeX }
lappend modeSuffixes	{*.lof} { set winMode TeX }
lappend modeSuffixes	{*.log} { set winMode TeX }
lappend modeSuffixes	{*.lot} { set winMode TeX }
lappend modeSuffixes	{*.toc} { set winMode TeX }
lappend modeSuffixes	{*.blg} { set winMode TeX }
lappend modeSuffixes	{*.clg} { set winMode TeX }
lappend modeSuffixes	{*.ilg} { set winMode TeX }

# Clean up temp files from last time:
catch {rm "$PREFS:Untitled*.*"}
catch {rm "$PREFS:temp-*.*"}

